Page MenuHomePhabricator

As a user who as denied location permissions to the app, I want to know what I am missing
Closed, ResolvedPublic

Description

Given that I have denied location permissions to the app
When I scroll the Explore feed to where the Nearby items would have been
Then I should see a placeholder graphic and explanation
And I should be able to click to open the Settings>Location screen

Draft copy: "Explore articles near your location by enabling Location Access. Go to Settings > Privacy > Location Services to enable."


Links

Prototype: https://wikimedia.invisionapp.com/share/2K9IFDKJH
Zeplin: https://zpl.io/Z21KiN7 | Tags: Empty state, Maps
Design doc: https://docs.google.com/a/wikimedia.org/document/d/1hCMgQciP3G3lKpMfTjoq8R54eShrE_VrSkYe6EPq3fs/edit?usp=sharing

Summary of project

Utilize empty states and messaging as a way to encourage users to enable location access for the Wikipedia iOS app.

Why are we doing this?

To demonstrate the value of allowing Location Access to users and to encourage users to enable location access

User stories

Explore feed T155792
As a user who has denied location permissions to the app, I want to know what I am missing.
When I scroll the Explore feed to where the Nearby items on would have been, on first load I would like to see a placeholder and explanation as well as a way to learn more about turning on location permissions.

Nearby tab T155793
When I go to the ‘Nearby’ tab on first load with location permissions denied I want to be able to see a placeholder image and explanation as well as a way to learn more about turning on location permissions.

How would we like users to solve this problem or discover this solution?

Users would see empty state messaging on their first load of the Explore feed or the Nearby tab. By reading through the information and clicking on ‘Enable location,’ users would be able to enable Location Services for the app.

Constraints

Once a user has denied Location Services for the app we are unable to turn them on with a single click. Instead, when a user clicks on ‘Enable location’ the app can open the Settings screen to the Location Services page.

Design details

Nearby tab

  • Message appears on first load of the Nearby tab for users who do not have Location Services enabled for the app.
  • Message also appears when a user clicks on the ‘location’ icon to the left of the search bar. With Location Services turned on this icon centers the map on the user’s current location.
  • Clicking on the Enable location CTA opens the Settings screen to the Location Services page.
  • Clicking on the ‘x’ in the top right corner of the message closes the message.
  • Clicking anywhere outside of the message closes the message
  • When the user navigates to a different tab after taking no action on the message and then navigates back to the Nearby tab the message should not appear.

Explore feed

  • Card would only appear on first load of the Explore feed for users who have denied location permissions.
  • Card features a ‘random’ article with a location (high-quality, perhaps from a predefined list).
  • Reach: Would it be possible to have the compass animation react to the gyroscope in the phone instead of the location (so that the compass would still move)?
  • Clicking on the article opens the article
  • Clicking on the card action button opens the Settings screen to the Location Services page.
  • Clicking on the overfill icon opens an action sheet with the option to dismiss the card or cancel.

Note: App should not ask for location permission during onboarding should be implemented first as it can provide solutions for this task.

Event Timeline

JMinor created this task.Jan 14 2016, 10:44 PM
JMinor raised the priority of this task from to Low.
JMinor updated the task description. (Show Details)
JMinor added a subscriber: JMinor.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2016, 10:44 PM

Also need to add a notice to the "More Nearby" screen with a information message, see the implementation in 4.x

We can re-use the existing message copy from 4.x

Nirzar raised the priority of this task from Low to Normal.Jan 22 2016, 12:22 AM
Nirzar set Security to None.
JMinor lowered the priority of this task from Normal to Low.Jan 26 2016, 10:32 PM
cmadeo claimed this task.Nov 7 2016, 9:49 PM

Empty state on Explore feed
Below are three possible designs for show an 'empty state' for the Nearby card on the Explore feed. Two are based off of the announcement card designs, and the last is a new design, meant to mimic the empty state on the Nearby tab.

Announcement card styleDonation card style"Empty state" design

Empty state on Nearby tab
Below is one proposed empty state design (shown on two different versions of the Nearby tab). The empty state would appear instead of the map. Once the user submitted a search, the map would appear.

The current location icon could either be disabled, or show an alert message.

Top search barBottom drawer
This comment was removed by cmadeo.
cmadeo updated the task description. (Show Details)Nov 28 2016, 11:21 PM
Mhurd added a subscriber: Mhurd.

@JMinor I tossed this and https://phabricator.wikimedia.org/T123684 into blocked 'cause I think we need to break these up and estimate before starting... these 2 tickets read like novels :)

NHarateh_WMF updated the task description. (Show Details)Jan 20 2017, 1:08 AM
cmadeo removed cmadeo as the assignee of this task.Jan 24 2017, 7:40 PM
JoeWalsh added a subscriber: JoeWalsh.EditedFeb 23 2017, 2:23 PM

As it currently stands after T152150 :

A new user will see:

  • Location placeholder card in the feed that prompts them to allow location access. If they dismiss the card, it is never shown again.
  • On first view of the nearby tab, a prompt to allow location access. If they close, or accept then deny access, they only see the prompt again when clicking the location arrow.

An existing user that has denied location access will see:

  • Nothing in the explore feed (as it was previously)
  • On first view of the nearby tab, a prompt to allow location access. If they close, or accept then deny access, they only see the prompt again when clicking the location arrow.

Going to update explore feed behavior to match description in T155792

JoeWalsh removed JoeWalsh as the assignee of this task.Mar 2 2017, 7:45 PM
ABorbaWMF added a subscriber: ABorbaWMF.

Added testcases to the iOS Test Cases document. Moving to Needs QA.

Hello, I've covered a lot of similar ground to this card in https://phabricator.wikimedia.org/T152150 (it includes screencaps of the different areas location permissions can be granted or denied), I think if that one is fixed so is this one as I've been witnessing behavior exactly as Joe Walsh stated in "A new user will see".

JMinor closed this task as Resolved.Mar 20 2017, 6:06 PM